jQuery(document).ready(function($) {

	// for user registration form
	$("form#rsUserRegistration").submit(function(){
		var submit = $(".userRegistration #submit"),
			preloader = $(".userRegistration #preloader"),
			message	= $(".userRegistration #message"),
			contents = {
				action: 	'user_registration',
				nonce: 		this.rs_user_registration_nonce.value,
				log:		this.log.value,
				pwd:		this.pwd.value,
			};

		// disable button onsubmit to avoid double submision
		submit.attr("disabled", "disabled").addClass('disabled');

		// Display our pre-loading
		preloader.css({'visibility':'visible'});

		$.post( theme_ajax.url, contents, function( data ){
			submit.removeAttr("disabled").removeClass('disabled');

			// hide pre-loader
			preloader.css({'visibility':'hidden'});

			// check response data
			if( 1 == data ) {
				// redirect to home page
				window.location = theme_ajax.site_url;
			} else {
				// display return data
				message.html( data );
			}
		});

		return false;
	});

});